/******************************************************************************
 * config.h - Configuration file for the dj program.                          *
 *                                                                            *
 * This configures functions defined in shared files such as compat.cpp to    *
 * suit the requirements of dj.                                               *
 *                                                                            *
 *  Copyright (C) Steve Hayes 2011-2013 <steve@honeylink.co.uk>               *
 *                                                                            *
 *  This is free software: you can redistribute it and/or modify it           *
 *  under the terms of the GNU General Public License as published by the     *
 *  Free Software Foundation, either version 3 of the License, or             *
 *  (at your option) any later version.                                       *
 *                                                                            *
 *  It is distributed in the hope that it will be useful, but                 *
 *  WITHOUT ANY WARRANTY; without even the implied warranty of                *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
 *  See the GNU General Public License for more details.                      *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License along   *
 *  with this program.  If not, see <http://www.gnu.org/licenses/>.           *
 ******************************************************************************/


/*
 * These control the capabilities of the Windows ftw() equivalent defined in
 * compat.h and compat.cpp.
 *
 * Uncomment them depending on which of file size, access, creation and last
 * modification times are needed. Note that the time conversions in
 * particular involve 64 bit divisions: enabling them when not needed will
 * slow things down.
 *
 * It's easy to see what needs to be enabled. If something you need isn't, it
 * will be omitted from the fstat struct and you'll get a compile error when
 * you compile your application.
 */
#define ST_SIZE
// #define ST_ATIME
// #define ST_CTIME
// #define ST_MTIME
#define ST_HIDDEN


/*
 * These control the number of command-line arguments expected by the Windows
 * _tmain() and the maximum length of each one as a UTF-8.
 */
#define MAX_ARGS 50
#define MAX_ARG_LEN 100

