/******************************************************************************
 * text.h - Text strings for the dj program.                                  *
 *                                                                            *
 * This contains all user-interface text strings and response characters for  *
 * the dj program. Keeping them in one place simplifies language translation. *
 *                                                                            *
 *  Copyright (C) Steve Hayes 2011-2013 <steve@honeylink.co.uk>               *
 *                                                                            *
 *  This is free software: you can redistribute it and/or modify it           *
 *  under the terms of the GNU General Public License as published by the     *
 *  Free Software Foundation, either version 3 of the License, or             *
 *  (at your option) any later version.                                       *
 *                                                                            *
 *  It is distributed in the hope that it will be useful, but                 *
 *  WITHOUT ANY WARRANTY; without even the implied warranty of                *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      *
 *  See the GNU General Public License for more details.                      *
 *                                                                            *
 *  You should have received a copy of the GNU General Public License along   *
 *  with this program.  If not, see <http://www.gnu.org/licenses/>.           *
 ******************************************************************************/

/*
 * Help screen
 */
#define HTEXT01 "* Utility to make random playlists from music *\n"
#define HTEXT02 "*   file collection giving regard to track    *\n"
#define HTEXT03 "*   ratings. Also helps to find and remove    *\n"
#define HTEXT04 "*           duplicate track files.            *\n"

#define HTEXT05 "*                Version %s                 *\n"

#define HTEXT10 "* Syntax:                                     *\n"
#define HTEXT11 "*  dj [options] media_folder [playlist size]  *\n"
#define HTEXT12 "* where                                       *\n"
#define HTEXT13 "*  media_folder contains media files/folders  *\n"
#define HTEXT14 "*  size is the wanted total playlist target   *\n"
#define HTEXT15 "*   files size in bytes, (e.g. 2G)            *\n"

#define HTEXT20 "* Options:                                    *\n"
#define HTEXT21 "*  -a enables auto-exclusion of matched files *\n"
#define HTEXT22 "*  -f enables auto-fixing of filenames        *\n"
#define HTEXT23 "*  -g reduces escaping of filenames for Excel *\n"
#define HTEXT24 "*  -h shows this help screen and exits        *\n"
#define HTEXT25 "*  -k appends new tracks to existing playlist *\n"
#define HTEXT26 "*  -m selects file matching mode              *\n"
#define HTEXT27 "*  -n copies media files with numeric names   *\n"
#define HTEXT28 "*  -q enables matching files in same folder   *\n"
#define HTEXT29 "*  -y suppresses interactive questions        *\n"
#define HTEXT30 "*  -z includes hidden files and folders       *\n"

#define HTEXT40 "*  -bFILE sets copy playlist    (DEST/dj.m3u) *\n"
#define HTEXT41 "*  -cDEST copies selected files to DEST       *\n"
#define HTEXT42 "*  -dATTRS deletes files with any of ATTRS    *\n"
#define HTEXT43 "*  -eEXTS sets extensions for media files     *\n"
#define HTEXT44 "*  -iRATING sets default for unrated tracks   *\n"
#define HTEXT45 "*  -lRATING sets min RATING for playlist  (1) *\n"
#define HTEXT46 "*  -oATTRS requires ATTRS for playlist        *\n"
#define HTEXT47 "*  -pFILE sets playlist file (media_f/dj.m3u) *\n"
#define HTEXT48 "*  -rFILE sets a ratings file      (./dj.csv) *\n"
#define HTEXT49 "*  -sATTRS skips matching of ATTRS files(DES) *\n"
#define HTEXT50 "*  -tTHRSH sets threshold for matching   (15) *\n"
#define HTEXT51 "*  -uRATING sets max RATING for playlist  (6) *\n"
#define HTEXT52 "*  -vTHRSH sets threshold for leveling    (2) *\n"
#define HTEXT53 "*  -wEFFECT sets EFFECT of ratings        (5) *\n"
#define HTEXT54 "*  -xATTRS excludes ATTRS from playlist (DEX) *\n"

#define HTEXT90 "* dj is released under GPL V3 - it is free to *\n"
#define HTEXT91 "* use. For info and source code, please visit *\n"
#define HTEXT92 "*               drenewydd.com                 *\n"

#define RRFTEXT "Reading ratings file...\n"
#define SMFTEXT "Scanning media folder...\n"
#define OCTTEXT " old and current tracks: total current size "
#define CTDTEXT "Checking for track files specified for deletion...\n"
#define NFDTEXT " files deleted\n"
#define CMTTEXT "Checking list for tracks no longer present...\n"
#define TRMTEXT " tracks removed\n"
#define FFNTEXT "Fixing folder and file names...\n"
#define NNCTEXT " names changed\n"
#define MATTEXT "Matching tracks...\n"
#define NFMTEXT " files have matches\n"
#define WRFTEXT "Writing ratings file...\n"
#define SELTEXT "Selecting tracks...\n"
#define TSRTEXT "  %d tracks selected: average rating %d.%02d\n"
#define LPLTEXT "Levelling playlist...\n"
#define TNSTEXT " tracks swapped\n"
#define WPFTEXT "Writing playlist file...\n"
#define OPETEXT "Error: cannot open "
#define SCNTEXT "Scanning existing track files...\n"
#define FNFTEXT "  First new file will be numbered "
#define DELTEXT "Deleting existing track files...\n"
#define CPYTEXT "Copying track files...\n"
#define DONETEXT "Done - Visit drenewydd.com for support and information\n\n"


#define CFDTEXT "\nYou ask to delete media files with any attribute %s set.\n "
#define CNFTEXT "\nYou ask to fix FAT-incompatible file/folder names.\n "

#define UCFTEXT "  This can't be undone! Are you sure (y/N)?\n"
#define YESCHAR 'Y'
